# Update a Supervisor Agent

Launch stage: Beta

`PATCH /api/2.1/{name=supervisor-agents/*}`

Updates a Supervisor Agent. The fields that are required depend on the paths specified in `update_mask`.
 Only fields included in the mask will be updated.

API scopes: supervisor-agents

## Path parameters

- `name` (string, required, ID, Immutable)
  The resource name of the SupervisorAgent.
   Format: supervisor-agents/{supervisor_agent_id}

## Query parameters

- `update_mask` (string, required)
  Field mask for fields to be updated.

## Request body

The SupervisorAgent to update.
- `display_name` (string, required)
  The display name of the Supervisor Agent, unique at workspace level.
- `description` (string, optional)
  Description of what this agent can do (user-facing).
- `instructions` (string, optional)
  Optional natural-language instructions for the supervisor agent.

## Returns

Returns the SupervisorAgent object.

## Response

```json
{
  "name": "string",
  "display_name": "string",
  "description": "string",
  "instructions": "string",
  "id": "string",
  "supervisor_agent_id": "string",
  "creator": "string",
  "create_time": "string",
  "endpoint_name": "string",
  "experiment_id": "string"
}
```

